Package | Class | Tree | Deprecated | Index | Help
| EL 2.2 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.el
Class ValueReference

    java.lang.Object
      javax.el.ValueReference

All Implemented Interfaces:
  java.io.Serializable

    public class ValueReference

extends java.lang.Object
implements java.io.Serializable

Since:
  EL 2.2
See Also:
  Serialized Form

Constructor Summary
`ValueReference(java.lang.Object base, java.lang.Object property)`

Method Summary
`java.lang.Object` | `getBase()`
`java.lang.Object` | `getProperty()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueReference

    public ValueReference(java.lang.Object base,
                          java.lang.Object property)

Method Detail

### getBase

    public java.lang.Object getBase()

### getProperty

    public java.lang.Object getProperty()

Package | Class | Tree | Deprecated | Index | Help
| EL 2.2 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.